function distNeuronsToData = determine_distance_relational_neurons_to_data_ny( U,T,cNeurons )

%
% Determines dissimilarities between relational neurons and data on which they are defined
%
% U is the p x m matrix obtained from the nystroem approx, p - #sample points, m - #data points
% T = W * Ut;  W = p x p - pseudo inverse as obtained by nystroem approx.
% cNeurons ... Coefficient (n x m)-Matrix of relational neurons
%
% Use squared distances to compare with other methods on euclidean distances !
%
% (C) by Frank-M. Schleif 2012

% Determine distances between neurons and data
%temp1 = (cNeurons * U)*T;
temp1 = bsxfun(@minus,(1+cNeurons)*U,sum(U))*T; 

% for better numerical stability if cNeurons has many 0s
%Temp  = bsxfun(@minus,(1+cNeurons)*U,sum(U));
%temp1 = bsxfun(@minus,(Temp*(1+T)),sum(Temp,2));

temp2 = sum(0.5*bsxfun(@times,temp1,cNeurons),2);
distNeuronsToData = bsxfun(@minus,temp1,temp2);
