function distNeuronsToData = distance_neurons_to_testdata( BetweenDist, Distances, cNeurons )

%
% Determines dissimilarities between relational neurons and new data
%
% BetweenDist ... Dissimilarity between new data and data on which the neurons are defined, 
%                 (m x m')-Matrix of distances between training data and test data points
% Distances ... Dissimilarities of data on which the neurons are defined,
%               (m x m)-Matrix of distances between training data points
% cNeurons ... Coefficient (n x m)-Matrix of relational neurons
%
% Use squared distances to compare with other methods on euclidean distances !
%
% A.Hasenfuss (c) 2008
%

[dummy, mb] = size( BetweenDist ); 
  
% Determine distances between neurons and data
 temp1 = cNeurons * BetweenDist;
 temp2 = diag(0.5 * (cNeurons * Distances * cNeurons'));
 distNeuronsToData = temp1 - temp2*ones(1,mb);
