function distNeuronsToData = distance_neurons_to_testdata_ny(  Data, train_logical_idx, test_logical_idx, fKernel, cNeurons, dPercentOfLandmarks )

%
% Determines dissimilarities between relational neurons and new data using the nystroem approximated data
%

% get nystroem approx of the full data set
[ny_Dis ~] = sim2dis_ny(fKernel, Data, dPercentOfLandmarks);
U          = ny_Dis{1};
T          = ny_Dis{2} * U';
temp1 = (cNeurons* U(train_logical_idx,:))*T(:,test_logical_idx);
temp2 = sum(0.5 * bsxfun(@times, (cNeurons * U(train_logical_idx,:)) * T(:,train_logical_idx), cNeurons), 2);
distNeuronsToData = bsxfun(@minus,temp1,temp2);   
