
function [fKernel,vSampling] = NystroemKernelPtr(D,fBaseKernelPtr,dSampleRate)
    N = size(D,1);
    m = ceil(dSampleRate*N);
    if(m>5000)
        error('pinv will run to long - change sample rate');
    end
    perm = randperm(N);
    vSampling = perm(1:m);
    %sparse indexing is slow - skip
    K1 = full(fBaseKernelPtr(D(vSampling,:),D));
    K2 = pinv((K1(:,vSampling)))*K1;
    K1 = K1';
    fKernel = @(X,Y)K1(X,:)*K2(:,Y);

