function [fKernel,vSampling] = NystroemLinearKernelPtr(D,dSampleRate)
    N = size(D,1);
    m = ceil(dSampleRate*N);
    %vSampling = randsample(N,m);
    if(m<=1)
        error('Sampling to strict - should be larger')        
    end
    perm = randperm(N);
    vSampling = perm(1:m);
    [K1,K2] = linear_nystroem(D,vSampling);
    K1      = K1';
    K2      = K2 * K1;
    fKernel = @(X,Y)K1(:,X)'*K2(:,Y);
