function [C,W] = linear_nystroem(coord,indices)

%function K = linear(coord)
%
% Computes an linear kernel matrix from the input coordinates
%
%INPUTS
% coord =  a matrix containing all samples as rows
%
%OUTPUTS
% K = the linear kernel matrix <.,.>
%
%
% For more info, see www.kernel-methods.net

%
%Author: Frank-Michael Schleif
% modified version to allow nystroem appoximation
if(length(indices) > 2000)
    error('You indices selection is very large - consider a smaller set - stop now');
end
n=size(coord,1);
iNumberOfLandmarks = length(indices);
C = zeros(n,iNumberOfLandmarks);
coord_sub = coord(indices,:);
K=coord_sub*coord_sub';                         %thant K(ind,ind)
W=pinv(full(K));
C(indices,:) = K;

% fill in rest for K(:,ind);         % C
vIndicesRest        = setdiff([1:n],indices);
iNumberOfRestPoints = length(vIndicesRest);
coord_sub_rest      = coord(vIndicesRest,:);
tic
for(k=1:iNumberOfRestPoints)        
    C(vIndicesRest(k),:)  = coord_sub*(coord_sub_rest(k,:))';
    if(mod(k,100)==0)
        fprintf('*')
    end
    if(mod(k,1000)==0)
        T=toc;
        fprintf('\n');
        warning('Long running op: %f percent est time remaining %f min\n',k/iNumberOfRestPoints, (iNumberOfRestPoints*(T/k) - T)/ 60);
    end
end 
