function kval = rbf_matlab(u,v,rbf_sigma,varargin)
 
if nargin < 3 || isempty(rbf_sigma)
    rbf_sigma = 1;
end
if(size(u,1)+size(v,1)<5000)
    kval = exp(-rbf_sigma*bsxfun(@plus,bsxfun(@minus,sum(u.^2,2),2*(u*v')),sum(v.^2,2)'));
else
    iU = size(u,1);
    iV = size(v,1);
    kval = zeros(iU,iV);
    tic
    for(k=1:iU)
        kval(k,:) = exp(-rbf_sigma*bsxfun(@plus,bsxfun(@minus,sum(u(k,:).^2,2),2*(u(k,:)*v')),sum(v.^2,2)'));
        fprintf('*')
        if(mod(k,100)==0)
            T=toc;
            fprintf('\n');
            warning('Long running op: %f percent est time remaining %f min\n',k/iU, (iU*(T/k) - T)/ 60);
        end
    end
end